List security price history referenced by family investment data
curl --request GET \
--url https://app.sure.am/api/v1/security_prices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://app.sure.am/api/v1/security_prices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://app.sure.am/api/v1/security_prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"security_prices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": "2023-12-25",
"price": "<string>",
"price_amount": "<string>",
"currency": "<string>",
"provisional": true,
"security": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticker": "<string>",
"name": "<string>",
"exchange_operating_mic": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 2,
"per_page": 2,
"total_count": 1,
"total_pages": 1
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<string>"
],
"errors": [
"<string>"
]
}Security Prices
List security price history referenced by family investment data
GET
/
api
/
v1
/
security_prices
List security price history referenced by family investment data
Authorizations
API key for authentication. Generate one from your account settings.
Query Parameters
Page number (default: 1)
Items per page (default: 25, max: 100)
Filter by security ID
Filter by currency code
Filter prices from this date
Filter prices until this date
Filter by provisional price status. When supplied, must be true or false.
Was this page helpful?
⌘I